<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tugas Hello World</title>
</head>
<body>
    <h2>
        Promise
    </h2>
    <button id="Promise">Click!!!</button>
    <p>
        let data = new Promise((resolve, reject) => {
            let sum = 5 + 10
        
            if(sum === 15) {
                resolve("True")
            }
            else {
                reject('False')
            }
        })
        
        data.then((message) => {
            document.writeln('This ' + message)
        }).catch((message) => {
            document.writeln('This ' + message)
        })
    </p>
    <script src="Assets/Js/Promise.js"></script>
</body>
</html>